/***************************************************************************
 *   Copyright (C) 2006 by Jaap Boender   *
 *   Jaap.Boender@pps.jussieu.fr   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KROLL_BUNDLE_H
#define KROLL_BUNDLE_H

#include <qdatetime.h>
#include <kurl.h>

/**
	@author Jaap Boender <Jaap.Boender@pps.jussieu.fr>
*/
class KrollBundle
{
public:
    KrollBundle();
    ~KrollBundle() { };
    int index() const { return m_index; };
    int totalPackages() const { return m_total_packages; };
    int brokenPackages() const { return m_broken_packages; };
    QString anlaURL() const { return m_anla_url; };
    QString description() const { return m_bundle_description; };
    QString bundleID() const { return m_bundle_id; };
    QString architecture() const { return m_architecture; };
    QDate date() const { return m_date; };
    int getFromURL (KURL);
    KURL URL() { return m_url; };

protected:
    int m_index, m_total_packages, m_broken_packages;
    QString m_anla_url, m_bundle_description, m_bundle_id, m_architecture;
    QDate m_date;
    KURL m_url;
};

#endif
