/***************************************************************************
 *   Copyright (C) 2006 by Jaap Boender   *
 *   Jaap.Boender@pps.jussieu.fr   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KROLLICONVIEWITEM_H
#define KROLLICONVIEWITEM_H

#define KROLL_ICONVIEWITEM_RTTI 1981

#include <kstandarddirs.h>
#include <kiconview.h>
#include "kroll_bundle.h"
#include <kdebug.h>

/**
	@author Jaap Boender <Jaap.Boender@pps.jussieu.fr>
*/
class KrollIconViewItem : public KIconViewItem
{
public:
    KrollIconViewItem(QIconView *, KrollBundle *);
    ~KrollIconViewItem() { };
    int rtti () const { return KROLL_ICONVIEWITEM_RTTI; };
    KrollBundle *bundle () const { return m_bundle; };
    QString text() const { return m_bundle ? m_bundle -> description() + " (" + QString::number (m_bundle -> brokenPackages ()) + "/" + QString::number (m_bundle -> totalPackages ()) + " broken)" : QString(""); };
    QPixmap *pixmap() const { return new QPixmap (locate ("data", m_imagePath.arg (m_bundle ? m_bundle -> index() : 1))); };
    void setHighlighted (bool x) { m_selected = x; };
protected:
    bool m_selected;
    KrollBundle *m_bundle;
    QString m_imagePath;
protected:
    void paintItem (QPainter *, const QColorGroup &);
};

#endif
